MySQL++ SSQLS v2 Translator: ParseV2::Line Class Reference
ParseV2::Line Class Referenceabstract

Base class for parsed SSQLS v2 declaration lines. More...

`#include <parsev2.h>`

Inheritance diagram for ParseV2::Line:
[legend]

## Public Member Functions

virtual | ~Line ()
| Virtual dtor, since this is a base class.
virtual void | print (std::ostream &os) const =0
| Print line's contents out to a stream in SSQLS v2 form.

## Static Public Member Functions

static Line * | parse (const StringList &tl, bool subdirective, const File &file)
| Virtual ctor, creating one of our subclass objects based on what we're passed. More...

## Protected Member Functions

| Line ()
| Protected ctor, to prevent instantiation.

## Detailed Description

Base class for parsed SSQLS v2 declaration lines.

Types of parsed lines, and related stuff

## Member Function Documentation

## parse()

ParseV2::Line * ParseV2::Line::parse | ( | const StringList & | tl,
|  | bool | subdirective,
|  | const File & | file
| ) |  |

static

Virtual ctor, creating one of our subclass objects based on what we're passed.

Parameters

  tl | list of tokens found on a line in an SSQLS v2 file
  subdirective | true if there was leading whitespace on that line, which changes how we interpret tl
  file | information about the file we're currently parsing

Returns
  Line object pointer if line was successfully parsed, else 0

References ParseV2::Field::parse(), ParseV2::Include::parse(), ParseV2::Option::parse(), ParseV2::Table::parse(), and ParseV2::File::parse_error().

Referenced by ParseV2::ParseV2().

The documentation for this class was generated from the following files:

- parsev2.h
- parsev2.cpp